Subject: bug#34764: prettify-symbols-mode pollutes font-lock-extra-keywords

From: Clément Pit-Claudel <[email-masked]>
Date: Wed, 6 Mar 2019 01:50:49 -0500

On 06/03/2019 01.23, Drew Adams wrote: 
> No, in fact I wasn't aware of `char-property-alias-alist'. ;-)
> 
> I just meant in some way to try to have a library-specific
> property control or replace a general property.  I don't
> have in mind a general mechanism for doing that.

Font font-lock-extra-managed-props, at least, char-property-alias-alist seems perfect: you can declare my-abc to be an alias of abc, add my-abc to char-property-alias-alist when the minor mode gets activated, remove it when it gets deactivated, and as a bonus when clearing fontification font-lock will only clear the instances of abc that it applied itself. Very neat.

Clément.